/** 
 * @author changanmin1@crc.com.hk
 */
export default class Server {

  constructor(params) {
  }
  fetchData( url, param = {}) {
    let URI = `${process.env.API.emsReceivable + url}`;
    return new Promise((resolve) => {
      $axios.post(URI, param).then((response) => {
        resolve(response);
      }).catch((error) => {
        let responseData = { "dataResult": [], "extra": "", "msg": (error.response.data.message || "服务异常，请联系管理员"), "statusCode": "-1" };
        resolve(responseData);
      })
    });
  }
  /**
   *  查询客户信息列表
   * @param {Object} param
   */
  query(param = null) {
    return param && this.fetchData('/customers/findCustomerMsgPage',param);
  }
}