let emsReceivableRouter = [
  {
    path: "rv-receipt-worktable-query",
    name: "rv-receipt-worktable-query",
    title: "收款工作台查询",
    component: resolve => {
      require(["./views/ems/receiptWorktableQuery/index.vue"], resolve);
    }
  },
  {
    path: "rv-receipt-worktable-query-full",
    name: "rv-receipt-worktable-query-full",
    title: "完成收款工作台",
    component: resolve => {
      require(["./views/ems/receiptWorktableQueryFull/index.vue"], resolve);
    }
  },
  {
    path: "rv-receipt-worktable-query-imp-fail",
    name: "rv-receipt-worktable-query-imp-fail",
    title: "导入失败收款工作台查询",
    component: resolve => {
      require(["./views/ems/receiptWorktableQueryImpFail/index.vue"], resolve);
    }
  },
  {
    path: "rv-receipt-worktable-service-charge-imp",
    name: "rv-receipt-worktable-service-charge-imp",
    title: "特殊收款",
    component: resolve => { 
      require(["./views/ems/serviceChargeImp/index.vue"], resolve);
    }
  },
  {
    path: "rv-receipt-other-pay-imp",
    name: "rv-receipt-other-pay-imp",
    title: "第三方支付导入",
    component: resolve => {
      require(["./views/ems/otherPayImp/index.vue"], resolve);
    }
  },
  {
    path: "rv-main-business-import",
    name: "rv-main-business-import",
    title: "主营业务现款导入",
    component: resolve => {
      require(["./views/ems/mainBusinessImport/index.vue"], resolve);
    }
  },
  {
    path: "rv-manually-add",
    name: "rv-manually-add",
    title: "手工增加收款",
    component: resolve => {
      require(["./views/ems/manuallyAdd/index.vue"], resolve);
    }
  },
  {
    path: "rv-manually-excel-import",
    name: "rv-manually-excel-import",
    title: "Excel新增导入",
    component: resolve => {
      require(["./views/ems/manuallyAdd/index.vue"], resolve);
    }
  },
  {
    path: "rv-receivables-approval",
    name: "rv-receivables-approval",
    title: "待审批收款",
    component: resolve => {
      require(["./views/ems/receivablesApproval/index.vue"], resolve);
    }
  },
  {
    path: "rv-receivables-classify",
    name: "rv-receivables-classify",
    title: "共享收款分类工作台",
    component: resolve => {
      require(["./views/ems/receivablesClassify/index.vue"], resolve);
    }
  },
  {
    path: "rv-receivables-classify-review",
    name: "rv-receivables-classify-review",
    title: "收款复核分类工作台",
    component: resolve => {
      require(["./views/ems/receivablesClassifyReview/index.vue"], resolve);
    }
  },
  /////////////// 收款认领  /////////////////////////
  {
    path: "rc-receivables-claim-local-claim",
    name: "rc-receivables-claim-local-claim",
    title: "本地收款分类工作台",
    component: resolve => {
      require(["./views/ems/receivablesClaim/local/index.vue"], resolve);
    }
  },
  {
    path: "rc-receivables-claim-custom-claim",
    name: "rc-receivables-claim-custom-claim",
    title: "客户类收款认领",
    component: resolve => {
      require(["./views/ems/receivablesClaim/custom/claim/index.vue"], resolve);
    }
  },
  {
    path: "rc-receivables-claim-custom-review",
    name: "rc-receivables-claim-custom-review",
    title: "客户类收款复核",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/custom/review/index.vue"
      ], resolve);
    }
  },
  {
    path: "rc-receivables-claim-custom-signOut",
    name: "rc-receivables-claim-custom-signOut",
    title: "客户类收款退回",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/custom/signOut/index.vue"
      ], resolve);
    }
  },
  {
    path: "rc-receivables-claim-otherIncome-claim",
    name: "rc-receivables-claim-otherIncome-claim",
    title: "其他业务收入认领",
    component: resolve => {
      require(["./views/ems/receivablesClaim/otherIncome/claim/index.vue"], resolve);
    }
  },
  {
    path: "rc-receivables-claim-otherIncome-review",
    name: "rc-receivables-claim-otherIncome-review",
    title: "其他业务收入复核",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/otherIncome/review/index.vue"
      ], resolve);
    }
  },
  {
    path: "rc-receivables-claim-otherIncome-signOut",
    name: "rc-receivables-claim-otherIncome-signOut",
    title: "其他业务收入退回",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/otherIncome/signOut/index.vue"
      ], resolve);
    }
  },
  {
    path: "rc-receivables-claim-mainBizIncome-review",
    name: "rc-receivables-claim-mainBizIncome-review",
    title: "主营业务现款复核",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/mainBizIncome/review/index.vue"
      ], resolve);
    }
  },
  {
    path: "rc-receivables-claim-mainBizIncome-signOut",
    name: "rc-receivables-claim-mainBizIncome-signOut",
    title: "主营业务现款退回",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/mainBizIncome/signOut/index.vue"
      ], resolve);
    }
  },
  {
    path: "rc-receivables-claim-other-claim",
    name: "rc-receivables-claim-other-claim",
    title: "其他类收款认领",
    component: resolve => {
      require(["./views/ems/receivablesClaim/other/claim/index.vue"], resolve);
    }
  },
  {
    path: "rc-receivables-claim-other-review",
    name: "rc-receivables-claim-other-review",
    title: "其他类收款复核",
    component: resolve => {
      require(["./views/ems/receivablesClaim/other/review/index.vue"], resolve);
    }
  },
  {
    path: "rc-receivables-claim-other-signOut",
    name: "rc-receivables-claim-other-signOut",
    title: "其他类收款退回",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/other/signOut/index.vue"
      ], resolve);
    }
  },
  {
    path: "rc-receivables-claim-vendor-claim",
    name: "rc-receivables-claim-vendor-claim",
    title: "供应商收款认领",
    component: resolve => {
      require(["./views/ems/receivablesClaim/vendor/claim/index.vue"], resolve);
    }
  },
  {
    path: "rc-receivables-claim-vendor-review",
    name: "rc-receivables-claim-vendor-review",
    title: "供应商收款复核",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/vendor/review/index.vue"
      ], resolve);
    }
  },
  {
    path: "rc-receivables-claim-vendor-signOut",
    name: "rc-receivables-claim-vendor-signOut",
    title: "供应商收款退回",
    component: resolve => {
      require([
        "./views/ems/receivablesClaim/vendor/signOut/index.vue"
      ], resolve);
    }
  },
  {
    // //receipt-worktable-config-manage
    path: "rvcm-customer-relationship-config",
    name: "rvcm-customer-relationship-config",
    title: "客户关系配置",
    component: resolve => {
      require([
        "./views/ems/configManage/customerRelationshipConfig/index.vue"
      ], resolve);
    }
  },
  {
    path: "rvcm-permission-config",
    name: "rvcm-permission-config",
    title: "权限配置",
    component: resolve => {
      require(["./views/ems/configManage/permission/index.vue"], resolve);
    }
  },
  {
    path: "rvcm-filter-search",
    name: "rvcm-filter-search",
    title: "收款过滤查询",
    component: resolve => {
      require(["./views/ems/receivableFilter/Index.vue"], resolve);
    }
  },
  {
    path: "rvcm-filter-config",
    name: "rvcm-filter-config",
    title: "收款数据过滤设置",
    component: resolve => {
      require(["./views/ems/receivableFilterConfig/Index.vue"], resolve);
    }
  },
  {
    // 客户/供应商表
    path: "rvcm-customer-vendor-table-config",
    name: "rvcm-customer-vendor-table-config",
    title: "客户/供应商表",
    component: resolve => {
      require([
        "./views/ems/configManage/customerVendorTable/index.vue"
      ], resolve);
    }
  },
];
export { emsReceivableRouter };
